package com.tarfeef101.pwm

import android.app.Application
import android.content.Context

class Entrypoint : Application()
{
  override fun onCreate()
  {
    super.onCreate()
    // load shared preferences file
    val pref = applicationContext.getSharedPreferences("prefs", android.content.Context.MODE_PRIVATE)
    // retrieve user dark mode setting
    val last_dark_setting = pref.getInt("dark", -1)
    ThemeHelper.apply(last_dark_setting)
  }
}