package com.tarfeef101.pwm

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.Menu
import android.view.MenuInflater
import android.view.MenuItem
import android.widget.Toast
import androidx.appcompat.widget.Toolbar
import kotlinx.android.synthetic.main.activity_home.*

class HomeActivity : AppCompatActivity()
{
    override fun onCreate(savedInstanceState: Bundle?)
    {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_home)
        setSupportActionBar(toolbar)
        toolbar.showOverflowMenu()
    }

    override fun onCreateOptionsMenu(menu: Menu?): Boolean
    {
        menuInflater.inflate(R.menu.home_menu, menu)
        return true
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean
    {
        when (item.itemId)
        {
            R.id.settingsGear ->
            {
                startActivity(Intent(this, ThemeActivity::class.java))
            }

            R.id.none ->
            {
                Toast.makeText(this, "You can't click null, silly", Toast.LENGTH_SHORT).show()
            }

            else ->
            {
                return super.onOptionsItemSelected(item)
            }
        }

        return true
    }
}